Setting J2SE 5.0 as the default on Apple Mac

The new Apple MacBook Pro’s come with both J2SE 1.4 and J2SE 5.0. J2SE 1.4 is set as the default. If you want to make J2SE 5.0 the default JVM, open up a terminal and type the following:

cd /System/Library/Frameworks/JavaVM.framework/Versions  
sudo mv CurrentJDK CurrentJDK.previousVersion  
sudo ln -s 1.5 CurrentJDK